Subject: Re: bug#55306: 27.1; How to add face attribute (:box) only on the left/right?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 May 2022 08:19:50 +0300

> From: José Júnior <[email-masked]>
> Date: Sat, 7 May 2022 19:23:58 -0300
> 
> Hi, I'm trying to add some left/right padding in the tab-bar-tab and mode-line-buffer-id. 
> 
> I tried adding the :box attribute the tab-bar-tab and the mode-line-buffer-id faces, but it just lets me add a
> border on all four sides - I want only on the left/right.
> 
> I also tried to add like this: (:box (:line-width (2 . 3))) for vwidth and hwidth, but it seems to be invalid.

This is supported in Emacs 28.1 and later, so you will need to
upgrade.

> Besides that, on the mode-line-buffer-id the left side border simply doesn't appear.
> 
> What can I do to achieve what I want?

You can, but only in Emacs 28.